/*											*/
/* Copyright (c) 1997, 1999, 2000, Mark Buser.						*/
/* Copyright  2003, 2004, Danny Backx.							*/
/* All rights reserved.									*/
/*											*/
/* Redistribution and use in source and binary forms, with or without			*/
/* modification, are permitted provided that the following conditions are		*/
/* met:											*/
/*											*/
/* Redistributions of source code must retain the above copyright notice,		*/
/* this list of conditions and the following disclaimer.				*/
/* Redistributions in binary form must reproduce the above copyright			*/
/* notice, this list of conditions and the following disclaimer in the			*/
/* documentation and/or other materials provided with the distribution.			*/
/* Neither the names the authors (see above), nor the names of other			*/
/* contributors may be used to endorse or promote products derived from			*/
/* this software without specific prior written permission.				*/
/*											*/
/* THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS			*/
/* "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT			*/
/* LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR		*/
/* A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT			*/
/* OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,		*/
/* SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT			*/
/* LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,		*/
/* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY		*/
/* THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT			*/
/* (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE		*/
/* OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.			*/
/*											*/
/* $Header: /pack/anoncvs/xinvest/src/help-textXq.h,v 1.18 2004/05/01 14:44:01 danny Exp $	*/
/*											*/
"\n",
NULL,
"Name\n",
"Xquote 2.6.9, a WWW quote retrieval program for X/Motif.\n",
"\n",
"Visit the Xinvest/Xquote home page at http://sunsite.auc.dk/xinvest/\n",
"\n",
NULL,
"Description\n",
"Xquote is a WWW based quote retrieval program.\n",
"\n",
"With Xquote you can retrieve quotes for stocks, ",
"mutual funds, currencies, or any other type ",
"of commodity that has web based quotes available. ",
"\n",
"Xquote is extendable, both in the servers it queries ",
"and the types of information it can query. New servers ",
"or quote types can be added to the Xquote X resource file ",
"without rebuilding Xquote. See 'Adding Servers and Types' ",
"for more information.\n",
"\n",
"Xquote is part of a suite of X based investment programs ",
"and can communicate quote updates to Xinvest. Xinvest ",
"can then update portfolio return and asset allocation ",
"calculations, for 'hands free' account updates.\n",
"\n",
"See 'Getting Started' for a quick start guide to using ",
"Xquote.\n",
NULL,
"Invocation\n",
"Xquote [options ...]\n",
"\n",
"where,\n",
"\n",
"options include:\n",
"\n",
"-help\t\tto print this message.\n",
"-install\t\tto install a private colormap,\n",
"-tape\t\ttape display with no menubar,\n",
"-restore filename\tto restore a saved session,\n",
"or any valid X toolkit option.\n",
"\n",
"Xquote supports all X toolkit ",
"options, such as -geometry (execute 'man X'). ",
"For example, 'Xquote -geometry 800x600 -bg gray60 -fg white'",
NULL,
" Application Resources\n",
"These are X resources that are not defined by the X toolkit, ",
"but by the application itself. They are associated with the ",
"application class or toplevel shell widget, both named ",
"'Xquote'. A description of each resource follows.\n",
"\n",
"Xquote.color0:\n",
"...\n",
"Xquote.color7:\n",
"Xquote.colorRed:\n",
"Xquote.colorGreen:\n",
"Xquote.colorBlack:\n",
"Xquote.colorWhite:\n",
"Xquote.colorGrey:\n",
"\n",
"The ticker tape drawing routine uses colorRed, colorGreen, ",
"and colorGrey to specify the color of the price change text. ",
"These resources may be specified in the same manner and ",
"format as any other X color resource specification. Note ",
"that the other color resources are not used by Xquote ",
"but must be defined for proper operation of Xquote.\n",
"\n",
"Xquote.fontlist:\n",
"\n",
"Ticker tape text is rendered in a user specified font. It ",
"is specified in the default resource file as:\n",
"\n",
" 'Xquote.fontList: fontname=large'\n",
"where fontname is a valid X11 font ",
"specification. These can be overridden ",
"in a user resource file like any other ",
"X resource.\n",
"\n",
"The '=large' is significant and must be present.\n",
"\n",
"Xquote.help:\n",
"\n",
"When this resource is set to True, Xquote will ",
"display usage information to standard output and ",
"exit. Not recommended (at all) for use in a ",
"resource file, this resource may be set on the ",
"command line with the -help switch.\n",
"\n",
"Xquote.install:\n",
"\n",
"When this resource is set to True, Xquote ",
"will install a private colormap. Useful ",
"when running other applications that use ",
"a lot of the available colors. Not recommended ",
"for use in a resource file, this resource may ",
"be set on the command line with the -install ",
"switch.\n",
NULL,
"Getting Started\n",
"Xquote is distributed with a number of 'built in' ",
"server specifications. Information that a user ",
"will require to get started is a list of ticker ",
"symbols to query and whether or not you need to ",
"configure a proxy http server.\n",
"\n",
"In general, it's a good idea to configure the ",
"proxy server first. You only need to do this ",
"if your site is behind a firewall. Ask your ",
"local administrator or look at your WWW browser ",
"configuration to get this information. \n",
"\n",
"To set a proxy server pull down the 'Options' menu and ",
"select 'Network'. If you have a proxy server, ",
"type it's fully qualified domain name (FQDN) in ",
"the 'HTTP Proxy Server' host field. Change the port ",
"number it listens on, if necessary. ",
"Select 'Ok' to apply these changes.\n",
"\n",
"You must know the ticker symbol of any quote you would ",
"like to receive. Every stock and mutual fund has a ",
"unique one to five(?) letter symbol. Visit any of ",
"the sites listed in the server list to search for the ",
"ticker symbol of the company of interest. Note that some ",
"servers also create symbols for popular indexes such as ",
"the S&P 500 or currencies. These symbols tend to be server ",
"specific. Xquote will fetch any quote valid for a given ",
"server.\n",
"\n",
"Enter the ticker symbols you would like to fetch quotes ",
"on. Pulldown the 'Options' menu and select 'Ticker ",
"Symbols'.  Select which WWW server to use by pulling ",
"down the 'Server' option menu and making a selection. ",
"Select the ticker type from the 'Symbol Type' option menu. ",
"Type ticker symbols into the 'Ticker Symbol' field. ",
"Type the text you wish displayed on the ticker tape ",
"into the 'Display Text' field. Hitting the enter key ",
"or the 'Add' button will add the ticker symbol to the ",
"query list.\n",
"\n",
"The symbol type is important because some quote pages use a ",
"different page format for stocks, mutual funds, indexes, ",
"or currencies. Select the format that matches the symbol ",
"to be added. Note that not every type you need may be ",
"present for a given server. See 'Adding Servers and Types' ",
"for more information. Select 'Ok' to apply these changes. ",
"See 'Ticker Symbol Dialog' for an explanation of all of ",
"the features of this dialog.\n",
"\n",
"At this time you may want to select ",
"automatic periodic updates and a range of days and ",
"times updates should occur. You can make this selection ",
"by selecting 'Update' on the 'Options' menu. Note that ",
"if you select periodic updates before adding any ticker ",
"symbols a warning message will be posted. Select ",
"'Ok' to apply any changes.\n",
"\n",
"Now you are ready to fetch quotes. Pulldown the 'File' menu ",
"and select 'Update Now'. This action will cause Xquote ",
"to query the selected server for each ticker symbol added. ",
"The Xquote table view will be updated to show the result ",
"of the query. If Xquote was unable to read a quote for any ",
"reason a question mark symbol is displayed next to the ticker ",
"symbol. Otherwise a red or green arrow indicates the ",
"direction of the current change of value.\n",
"\n",
"Read the rest of the documentation for more information ",
"on Xquote functionality.\n",
NULL,
"Ticker Symbol Dialog\n",
"The ticker symbol dialog maintains a list of ticker ",
"symbols for Xquote to query. Operations available are ",
"ok (keep changes), cancel (no changes), and add and remove ",
"a symbol.\n",
"\n",
"To add a symbol, type the ticker symbol into the 'Ticker ",
"Symbol' field, type the text to display for this ticker ",
"symbol into the 'Display Text' field, select the appropriate ",
"'Server' and 'Symbol Type', then either enter return in ",
"the display text field or click on 'Add'.\n",
"\n",
"To select a different quote server, simply select one from the ",
"Server option menu. Note that changing servers may result ",
"in different ticker symbol types being supported. If the new ",
"server has different types, you may need to reenter the ticker ",
"symbols. It pays to pick your server before adding ticker symbols. ",
"You may mix and match servers to ticker symbols in any combination.\n",
"\n",
"To remove a symbol, either type the ticker symbol into the ",
"ticker symbol field or double click on the symbol in the ",
"ticker symbol list, and then click on 'Remove'. It is not ",
"necessary to match the symbol type to remove a ticker symbol.\n",
"\n",
"To change a ticker symbol type, the easiest method is to double ",
"click on the ticker symbol in the ticker symbol list, ",
"click on 'Remove', select the new symbol type, then click on 'Add'.\n",
"\n",
"To save changes to the ticker symbol list, click on 'Ok'.\n",
"\n",
"To cancel all changes and revert to the previous ticker symbol ",
"list, click on 'Cancel'.\n",
NULL,
"Network Dialog\n",
"The network dialog maintains information about network access for ",
"Xquote. The only operation available is http proxy configuration.\n",
"\n",
"To select an HTTP proxy server, type the fully qualified domain name ",
"(FQDN) into the host field. Change the port number if your proxy ",
"server listens on a different port. To remove a proxy server, delete ",
"ALL characters in the host field.\n",
"\n",
"To save changes to the network configuration, click on 'Ok'.\n",
"\n",
"To cancel changes and revert to the previous network setup, ",
"click on 'Cancel'.\n",
NULL,
"Update Dialog\n",
"The update dialog maintains information about automatic updates for ",
"Xquote. Operations available include configuring automatic quote ",
"frequency, and selection of a range of days and hours automatic ",
"updates should be enabled.\n",
"\n",
"To configure automatic updates, either on or off, click on the ",
"'automatic' button. If automatic updates are on, then a slider ",
"becomes enabled which allows you to select how long in minutes ",
"Xquote waits between quote updates.\n",
"\n",
"To configure the days of the week updates are to be enabled, ",
"select either 'Monday-Friday' or 'Monday-Sunday' from the update ",
"days option menu. The selection shows which days automatic updates ",
"are enabled.\n",
"\n",
"To configure the hours of the day updates are to be enabled, ",
"select a start and end time from the update hours option menus. The ",
"selection shows the start time for updates to begin and the end ",
"time for updates to cease. Note that it is not possible to select ",
"a start time later than the end time or an end time earlier than the ",
"start time.\n",
"\n",
"To save ALL changes to the update configuration, click on 'Ok'.\n",
"\n",
"To cancel ALL changes and revert to the previous update setup, ",
"click on 'Cancel'.\n",
NULL,
"Tape Dialog\n",
"The tape setting dialog maintains visual settings for the ticker ",
"tape view (see View Menu). The ticker tape view is the traditional ",
"scrolling text of ticker symbols, current value, and change.\n",
"\n",
"To enable the tape scroll, click on the 'play' button (triangular ",
"shape pointing right).\n",
"\n",
"To stop the tape scrolling, click on the 'stop' button (square ",
"shape).\n",
"\n",
"To enable a smoother scroll, click on the 'Smooth' toggle button. ",
"Note that this option will result in increased CPU usage.\n",
"\n",
"To adjust the speed of the tape scroll, move the slider until the ",
"scrolling speed meets your needs.\n",
"\n",
"To close the tape setting dialog, click on the 'eject' button ",
"(triangle over bar).\n",
"\n",
NULL,
"Detail Dialog\n",
"The detail dialog maintains the settings for what is displayed ",
"for each ticker symbol in the table view (see View Menu). In ",
"addition to the details shown in this dialog, the ticker symbol ",
"and status indication are always provided.\n",
"\n",
"To add a detail, click on a value. A visual queue will inform you ",
"as to whether a detail is included (on) or not (off).\n",
"\n",
"To apply the changes to the detail settings, click on 'Ok'.\n",
"\n",
"To cancel all changes and revert to the previous detail settings, ",
"click on 'Cancel'.\n",
NULL,
"File Logging Dialog\n",
"The file logging dialog maintains the settings for the format of ",
"what is printed to the quote log file (see Log to File under the ",
"File Menu topic).\n",
"\n",
"Two options are supported, Xinvest format or semicolon separated ",
"list format.\n",
"\n",
"Xinvest format provides for price logging in a format ",
"compatible with Xinvest transactions, namely DATE PRICE VALUE. ",
"A comment line prepends each price to show which ticker symbol ",
"the price is valid for. Note that if more than one ticker symbol ",
"is present during Xinvest format logging, an Xinvest transaction ",
"file should not be used as the destination of file loggging (Xinvest ",
"can not distinguish prices from more than one ticker symbol).\n",
"\n",
"Semicolon separated list format provides a more generic format for ",
"logging any values selected for display using the detail dialog. ",
"Any detail enabled for display is logged to the file with each field ",
"separated from the others with a semicolon (;). The actual format is ",
"'TIMESTAMP; TICKER; any enabled details;'.\n",
NULL,
"File Menu\n",
"The file menu contains actions that control the overall functioning ",
"of Xquote. Actions include retrieve ticker quotes (Update Now), stop ",
"a currently pending retrieval (Stop), save current state to a file ",
"(Save Session), log quotes to a file (Log to File), stop logging to ",
"a file (Stop Log), clear log file (Clear Log File), and quit ",
"(Quit) Xquote. Most of these actions should be self-explanatory.\n",
"\n",
"The 'Save Session' option allows you to save the current configuration ",
"of Xquote (ticker symbols, network settings, tape settings, and detail ",
"settings) into a file named .xquoterc. This session may be restored by ",
"invoking Xquote with the '-restore .xquoterc' option. See INVOCATION and ",
"SESSION MANAGEMENT for more information.\n",
"\n",
"The file logging actions allow you to: select a file to log quotes to ",
"(each time Xquote retrieves new values from the web), to stop the ",
"logging function, or to clear the contents of a log file. The 'Log to ",
"File' action posts a file selection dialog. Depending on the format ",
"selected from the File Logging Dialog, the file selection dialog will ",
"filter directory contents to files with \"*.inv\" (Xinvest format), or ",
"\"*.csv\" (semicolon separated list format) files only. There is no ",
"restriction on the filename selected for the file logging function. To ",
"see all file types, simply change the 'Filter' file extension to \".*\".\n",
NULL,
"Option Menu\n",
"The option menu posts all of the configuration dialogs needed to ",
"configure Xquote: the ticker symbol editor (Ticker Symbol), the ",
"table details selection (Details), the scrolling tape visual options ",
"(Tape), the automatic update options (Update), network ",
"configuration (Network), and file logging options (File Logging). ",
"See each dialogs' help section for an ",
"explanation of it's functionality.\n",
NULL,
"View Menu\n",
"The view menu allows the user to change the visual presentation of ",
"quote information. Available views are tabular with selectable ",
"details (the default) and a scrolling ticker tape. The ticker tape ",
"has a fixed presentation.\n",
"\n",
"Xquote may be started with the '-tape' option. In this form, Xquote ",
"does not display a menu bar and can not show a tabular view. This ",
"is most useful for displaying Xquote in a toolbar such as fvwm's ",
"GoodStuff or CDE's front panel. To access option dialogs, hold down ",
"the third mouse button for a popup menu.\n",
"\n",
NULL,
"Help Menu\n",
"The help menu contains two items, a help dialog and an about dialog.\n",
"\n",
"The help menu is how you arrived here, you don't need any more help with ",
"that!\n",
"\n",
"The 'about' dialog provides information about the current version of ",
"Xquote you are running, copyright information, and current ",
"news fetched from the Xinvest/Xquote home page. ",
"This is a dynamic dialog, news is fetched over the Internet ",
"each time the about dialog is posted. You will need to configure your ",
"HTTP proxy server before posting this dialog (if necessary).\n",
NULL,
"Keyboard Shortcuts\n",
"Update quotes now\t\t<Ctrl>n\n",
"Stop quote update\t\t<Ctrl>s\n",
"\n",
"Post Network Dialog\t<Ctrl>w\n",
"Post Update Dialog\t\t<Ctrl>u\n",
"Post Ticker Symbol Dialog\t<Ctrl>t\n",
"Post Details Dialog\t\t<Ctrl>d\n",
"Post Tape Dialog\t\t<Ctrl>p\n",
"\n",
"Post Tape pop-up menu\tLeft mouse button\n",
"\t\t\tdown in tape\n",
"\t\t\twindow.\n",
"This provides access to most of the menubar ",
"selections, even if using -tape mode with ",
"no menubar present.\n",
"\n",
"Post Detail pop-up menu\tLeft mouse button\n",
"\t\t\tdown in detail\n",
"\t\t\twindow.\n",
"This allows the URL of the ticker symbol under ",
"the mouse to be copied to the clipboard. It ",
"can then be pasted into a browser or other ",
"program that supports pasting from the Motif ",
"clipboard.\n",
NULL,
"Xinvest Communication\n",
"Xquote attempts to find Xinvest at the completion ",
"of each quote retrieval. Xquote communicates quote ",
"data to Xinvest via X Window Properties using a ",
"protocol developed by Netscape Communications for ",
"Netscape Navigator.\n",
"\n",
"If found, Xquote will remember the window Xinvest ",
"was running in and won't search for it each time ",
"a network access completes. If Xinvest is closed, ",
"or for any reason isn't present after being found, ",
"Xquote will again search for any Xinvest window.\n",
"\n",
"There is no requirement that Xinvest be running to ",
"use Xquote.\n",
"\n",
"Note that you need Xinvest 2.4 or later for ",
"support of this functionality. ",
NULL,
" Communication Problems\n",
"Should Xquote find a lock already set for communication ",
"with Xinvest, it will post an informational dialog, ",
"specifying the process id (pid) of the program that ",
"currently holds the lock and the machine it is executing ",
"on. If this process is no longer running, the lock may be ",
"manually removed. If the process is still executing there ",
"is no need to manually remove the lock, just wait for the ",
"next periodic update or use an 'Update Now' command to try ",
"communication with Xinvest again.\n",
NULL,
"Adding Servers and Types\n",
"Not for the faint of heart, but not all that difficult ",
"either, you can add your favorite quote server and ",
"types to Xquote without rebuilding it.\n",
"\n",
"First a caveat:\n",
"\n",
"PLEASE CHECK WITH ANY SITE YOU ADD, SOME SPECIFICALLY PROHIBIT ",
"AUTOMATED DOWNLOAD (AS OPPOSED TO USING A BROWSER). \n",
"\n",
"BY MODIFYING THE SERVER LIST YOU ASSUME ALL LIABILITY WITH RESPECT ",
"TO DAMAGES RESULTING FROM THE PROHIBITED USE OF THIRD PARTY WEB RESOURCES. ",
"IN NO EVENT WILL THE AUTHOR BE HELD LIABLE FOR ANY PROHIBITED USE ",
"OF SAID RESOURCES. THE USER ASSUMES ALL LIABILITY FOR DAMAGES AND\n",
"ANY AND ALL FEES OR CHARGES RESULTING FROM UNAUTHORIZED ACCESS.\n",
"\n",
"Well after all of that, I'm going to tell you to look in Xquote.ad ",
"for a full description and examples of adding servers and types to ",
"Xquote. Search for 'serverList'.\n",
NULL,
"Error/Informational Messages\n",
"Xquote reports error conditions by popping up a message dialog. ",
"Errors Xquote reports are:\n",
"1. Dynamic memory allocation failures.\n",
"2. Networking and socket errors.\n",
"3. HTTP error responses from server.\n",
"4. Configuration errors:\n",
"   a. no ticker symbols when starting network access.\n",
"   b. no matching ticker symbol type for selected server.\n",
"   c. adding an existing ticker symbol.\n",
"   d. removing ticker symbol not in ticker symbol list.\n",
"5. Communication errors associated with Xinvest.\n",
"6. Session management errors.\n",
"\n",
"Xquote reports informational messages on the status line ",
"at the bottom of the Xquote window. These messages ",
"are related to the progress of any pending network ",
"access. In addition, a progress bar is provided as a ",
"visual queue that a network access is in progress.\n",
NULL,
"Session Management\n",
"Session management refers (as far as Xquote is ",
"concerned) to a mechanism that allows an application ",
"to save its internal state before being terminated. ",
"Xquote supports both an automatic and manual method ",
"of generating session state files.\n",
"\n",
"Xquote saves the following information in a session ",
"state file:\n",
"\n",
"* all ticker symbols, servers, and types,\n",
"* proxy host and port setting,\n",
"* automatic update setting,\n",
"* detail table settings,\n",
"* ticker tape settings, and the\n",
"* currently displayed view.\n",
"\n",
"Note that Xquote does not save window geometry information ",
"as part of the session state file.\n",
NULL,
" Manual\n",
"To manually save the Xquote internal state you ",
"may use the 'Save Session' file menu option. This ",
"option creates (or overwrites) a .xquoterc file. ",
"To restore a saved session start Xquote with the ",
"-restore option, specifying the full pathname of ",
"the .xquoterc file.\n",
NULL,
" Automatic\n",
"Xquote supports both the X11R5 and X11R6.1 ",
"session management protocols. For this to work, your ",
"window manager must support the protocol. ",
"Compliant systems are those using X11R6 with the ",
"X session manager program (xsm) or CDE (both 1.x ",
"and 2.x).\n",
"\n",
NULL,
" Session File Location\n",
"You must set an environment variable to tell Xquote ",
"where it should hide the saved session files. \n",
"\n",
"csh users: \n",
"setenv SM_SAVE_DIR dir\n",
"\n",
"sh users: \n",
"SM_SAVE_DIR=dir; export SM_SAVE_DIR\n",
"\n",
"'dir' is a full path to a valid, writable directory.\n",
"\n",
"CDE 1.x users should set SM_SAVE_DIR to '$HOME/.dt/sessions/current'\n",
"\n",
"If SM_SAVE_DIR is not defined, saved session files will ",
"be written into the users home directory (defined by $HOME).\n",
NULL,
"Known Problems\n",
"1. Log to file is not implemented.\n",
"\n",
"2. Note that quote dates are the most difficult item ",
"to reliably get from net sources.  As a result, ",
"Xquote sends the current date as the quote date. ",
"For items like mutual funds, this may ",
"be incorrect, since mutual fund prices usually ",
"are as of the close of the previous business day.\n",
"\n",
"3. Changing the detail list while in tape view will not ",
"result in a correct resizing of the detail view when ",
"it is next displayed.\n",
"\n",
"4. If you use Xquote with xsm, but do not use a complying ",
"window manager (X11R6 twm), then the restored geometry of ",
"Xquote may not be as you left it. This is the purpose of a ",
"window manager following the session management protocol. ",
"Xquote does not know if geometry information has been ",
"provided when restoring a session. Xquote could save geometry ",
"data in it's session management state file, but since this ",
"is a window manager function (by X Consortium specification) ",
"it doesn't.\n",
NULL,
"Reporting Bugs\n",
"Send mail to Mark Buser ",
"(buser@micro.ti.com). Please be ",
"sure to include sufficient detail, including ",
"revisions of the OS, compiler, X, and anything ",
"else you think might help track down the problem.\n",
NULL,
"Credits\n",
"Mark Buser\n",
"(buser@micro.ti.com)\n",
"\n",
"If you'd like to help out with the development ",
"of Xinvest or Xquote, drop me a line.\n",
"\n",
"If you like this program, let me ",
"know! If you really like it, ",
"donations are appreciated and will ",
"go to improving Xquote.",
NULL,
"Copyright\n",
"Copyright \2511997-2000 Mark Buser, All Rights Reserved.\n",
"\n",
"Permission is hereby granted to copy ",
"and freely distribute copies of this ",
"program for non-commercial purposes ",
"without fee, provided that this notice ",
"appears in all copies.\n",
"\n",
"All redistributions must be in their ",
"entirety as originally distributed. ",
"Feel free to modify Xquote, but ",
"modified versions may not be distributed ",
"without prior consent of the author.\n",
"\n",
"This software is provided 'as-is' ",
"without any express or implied warranty. ",
"In no event will the author be held ",
"liable for any damages resulting from ",
"the use of this software.\n",
"\n",
"-----\n",
"Portions of Xquote are copyright Netscape ",
"Communications:\n",
"\n",
"Copyright \2511996 Netscape Communications Corporation, all rights reserved.\n",
"Permission to use, copy, modify, distribute, and sell this software and its ",
"documentation for any purpose is hereby granted without fee, provided that ",
"the above copyright notice appear in all copies and that both that ",
"copyright notice and this permission notice appear in supporting ",
"documentation. No representations are made about the suitability of this ",
"software for any purpose. It is provided \"as is\" without express or ",
"implied warranty.\n",
