/*
 * Copyright (c) 1997, 2000, Mark Buser.
 * Copyright (c) 2003, Danny Backx.
 * All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 * Redistributions of source code must retain the above copyright notice,
 * this list of conditions and the following disclaimer.
 * Redistributions in binary form must reproduce the above copyright
 * notice, this list of conditions and the following disclaimer in the
 * documentation and/or other materials provided with the distribution.
 * Neither the names the authors (see above), nor the names of other
 * contributors may be used to endorse or promote products derived from
 * this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 * OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 * SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 * LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 * DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 * THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 * OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 * $Header: /pack/anoncvs/xinvest/src/server.h,v 1.5 2003/11/19 19:35:12 danny Exp $
 */
#ifndef SERVER_H
#define SERVER_H

#define TITLE   0
#define URL     1
#define PRICE   2
#define CHANGE  3
#define VOLUME  4
#define DAILYL  5
#define DAILYH  6
#define EXDIV   7
#define L52     8
#define H52     9
#define PE      10
#define DIV     11
#define YIELD   12
#define DATE    13
#define TIME    14
#define NAME    15
#define NUM_QUERY_VALUES NAME+1

typedef struct query_struct {
  char *values[NUM_QUERY_VALUES];
} QUERY_STRUCT;

typedef struct server_struct {
  char *title;
  int num_types;
  QUERY_STRUCT **types;
} SERVER_STRUCT;

#define NEWS  -1              /* Server number for news */

int readServerDatabase(Widget, char *);
void setCurServer (int);
int getCurServer ();
void setServerType (int);
char *getServerTitle (int);
char *getServerType (int, int);
char *getServer (int);
int numServer ();
int numServerType ();
void serverCB (Widget, XtPointer, XtPointer);

void getProxy ( char **, int *);
void setProxy ( char *, char *);
#endif
